// ****************************************************
//                     Class Atom
//   
//   developed by Hui Sun Lee (huisun.cadd@gmail.com)
// *****************************************************

public class Atom{
	String atom_name;        
	String residue_name;    
	String chain_id;         
	int sequence_number;    
	String sequence_number_nr;
	String pdb_line;

	double[] R;

	public Atom(){
		R = new double[3];	

		R[0] = 0.0;
		R[1] = 0.0;
		R[2] = 0.0;
	}
	
	public Atom( String atom, double[] r ){
		atom_name = atom;
		R = new double[3];	

		R[0] = r[0];
		R[1] = r[1];
		R[2] = r[2];
	}

	public Atom( String atom, String res, String id, int seq, double[] r, String line ){
		atom_name = atom;
		residue_name = res;		
		chain_id = id;
		sequence_number = seq;
		R = new double[3];	

		R[0] = r[0];
		R[1] = r[1];
		R[2] = r[2];

		pdb_line = line;
	}	
	
	public Atom( String atom, String res, String id, int seq, String seq_nr, double[] r, String line ){
		atom_name = atom;
		residue_name = res;		
		chain_id = id;
		sequence_number = seq;
		sequence_number_nr = seq_nr;
		R = new double[3];	

		R[0] = r[0];
		R[1] = r[1];
		R[2] = r[2];

		pdb_line = line;
	}	
}